﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WinGridBindingList
{
    public partial class Form1 : Form
    {
        BindingList<Patient> ListPatients;
        BindingList<Medicine> ListMedicine;
        public Form1()
        {
            InitializeComponent();
            ListPatients = GeneratePatient();
            ListPatients.ListChanged += new ListChangedEventHandler(ListPatients_ListChanged);
            ListMedicine = GenerateMedicine();
            ListMedicine.ListChanged += new ListChangedEventHandler(ListMedicine_ListChanged);
            ultraGrid1.DataSource = ListPatients;
            ultraCombo1.DataSource = ListMedicine;
            ultraCombo1.ValueMember = "Id";
            ultraCombo1.DisplayMember = "Medicament";
            ultraGrid1.DisplayLayout.Bands[0].Columns["Medicament"].EditorComponent = ultraCombo1;
        }

        void ListMedicine_ListChanged(object sender, ListChangedEventArgs e)
        {
            MessageBox.Show("ListChanged is fired for ListMedicine");
        }

        void ListPatients_ListChanged(object sender, ListChangedEventArgs e)
        {
            MessageBox.Show("ListChanged is fired for ListPatients");
        }

        private BindingList<Patient> GeneratePatient()
        {
            BindingList<Patient> retPatients = new BindingList<Patient>();
            retPatients.Add(new Patient(0, "Ivan",0));
            retPatients.Add(new Patient(1, "Frank",1));
            retPatients.Add(new Patient(2, "Jeff",2));
            retPatients.Add(new Patient(3, "Criss",3));
            return retPatients;
        }

        private BindingList<Medicine> GenerateMedicine()
        {
            BindingList<Medicine> retMedicine = new BindingList<Medicine>();
            retMedicine.Add(new Medicine(0,"Analgin"));
            retMedicine.Add(new Medicine(1, "Ferveks"));
            retMedicine.Add(new Medicine(2, "Aspirin"));
            retMedicine.Add(new Medicine(3, "Vitamin C"));
            return retMedicine;
        }
    }
}
