﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace WinGridBindingList
{
    class Medicine : INotifyPropertyChanged
    {
        int id;
        public int Id
        {
            get
            {
                return id;
            }
            set
            {
                id = value;
                NotifyPropertyChanged("MedicineID");
            }
        }

        string medicament;
        public string Medicament
        {
            get
            {
                return medicament;
            }
            set
            {
                medicament = value;
                NotifyPropertyChanged("MedicineMedicament");
            }
        }

        public Medicine()
        {
            id = -1;
            medicament = null;
        }

        public Medicine(int ID, string Medicament)
        {
            id = ID;
            medicament = Medicament;
        }

        public override string ToString()
        {
            return medicament;
        }

        public string ToStringFullDescription()
        {
           return string.Format("Medicine: {0}; {1} Id:{2}",
                this.medicament, Environment.NewLine, this.id); 
        }

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion
    }
}
