﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace WinGridBindingList
{
    class Patient : INotifyPropertyChanged
    {
        private int id;

        public int Id
        {
            get { return id; }
            set
            { 
                id = value;
                NotifyPropertyChanged("PatientID");
            }
        }
        private string name;

        public string Name
        {
            get { return name; }
            set
            {
                name = value;
                NotifyPropertyChanged("PatientName");
            }
        }
        //BindingList<Patient> _children = new BindingList<Patient>();
        //public BindingList<Patient> Children 
        //{
        //    get { return _children; }
        //    set 
        //    {
        //        _children = value;
        //    } 
        //}


        public BindingList<Patient> Children
        {
            get;
            set
           ;
        }

        public Patient()
        {
            id = -1;
            name = null;
        }

        public Patient(int ID, string Name)
        {
            id = ID;
            name = Name;
        }

        public Patient(int ID, string Name, int Medicament)
        {
            id = ID;
            name = Name;
            medicament = Medicament;
        }

        public override string ToString()
        {
            return name;
        }

        public string ToStringFullDescription()
        {
            return string.Format("Name: {0}; {1} Id:{2} {1} Medicament: {3}",
                 this.name, Environment.NewLine, this.id,this.medicament);
        }

        private int medicament = -1;

        public int Medicament
        {
            get { return medicament; }
            set 
            { 
                medicament = value;
                NotifyPropertyChanged("PatientMedicament");
            }
        }

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }



        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion
    }
}
